Process for removing updating/removing packages that are no longer maintained

Is there a procedure that would allow the community to change the repository that package is pointing to?

This would be useful in the case where a package is no longer being maintained and has become unusable. If the package can be pointed to a new repository the package.json of the package can at least be updated to indicate that it no longer works for the latest versions of Atom.

It would be great to save everyone a bit of time by hiding the packages that are not compatible with their current version.

An example: https://atom.io/packages/terminal-plus